#include <iostream>
#include "opencv2/opencv.hpp"

int main() {
	cv::Point pt1;
	pt1.x = 5; pt1.y = 10;
	cv::Point pt2(10, 30);

	std::cout << "pt1 : " << pt1 << std::endl;
	std::cout << "pt2 : " << pt2 << std::endl;

	cv::Point pt3 = pt1 + pt2;
	cv::Point pt4 = pt1 * 2;
	std::cout << "pt3 : " << pt3 << std::endl;
	std::cout << "pt4 : " << pt4 << std::endl;

	int d1 = pt1.dot(pt2);
	bool b1 = (pt1 == pt2);
	double value = norm(pt1);

	std::cout << "pt1 dot pt2 : " << d1 << std::endl;
	std::cout << "pt1 == pt2 ? : " << b1 << std::endl;
	std::cout << "L2 norm of pt1 : " << value << std::endl;

	return 0;
}